from setuptools import setup, find_packages
import os

# Read README.md safely
readme_path = "README.md"
long_description = ""
if os.path.exists(readme_path):
    with open(readme_path, "r", encoding="utf-8") as f:
        long_description = f.read()

setup(
    name="qrscanner_hrk",
    version="0.1",
    packages=find_packages(),
    install_requires=[
        "opencv-python",
        "pandas",
        "qreader"
    ],
    long_description=long_description,
    long_description_content_type="text/markdown",
    entry_points={
        "console_scripts": [
            "qrscanner=qrscanner.qr_scanner:main",
        ],
    },
)
